Bug 1390814 - konversation requires Python 2
Summary: konversation requires Python 2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: konversation
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: depchain PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-11-02 01:41 UTC by Kevin Kofler
Modified: 2017-04-25 02:23 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-04-20 12:02:15 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2016-11-02 01:41:43 UTC
Description of problem:
konversation requires /usr/bin/python, i.e., Python 2, for the scripts. We need these to be ported to Python 3. (It might be as easy as using python3 instead of python in the specfile, or the scripts may need actual porting, CCing the upstream author for comment.)

Version-Release number of selected component (if applicable):
konversation-1.6.2-1.fc26
konversation-1.6.2-1.fc25
konversation-1.6.2-1.fc24
konversation-1.6.2-1.fc23

How reproducible:
Always

Steps to Reproduce:
1. Install konversation.

Actual results:
Drags in Python 2.

Expected results:
Does not drag in Python 2.

Additional info:
This is one of the last holdouts dragging in the legacy Python 2 onto the KDE live image and remixes thereof.

Comment 1 Kevin Kofler 2016-11-03 04:01:08 UTC
As said by Eike Hein (the upstream author) on IRC:
<Sho_> Kevin_Kofler: The Konversation scripts have worked with Python 3 for about half a decade
<Sho_> Kevin_Kofler: All our code is written for Python 3 first and then made compatible with 2
<Sho_> Kevin_Kofler: Arch runs them against Python 3, so it's real world-tested, too
<Sho_> So yeah feel free to go 3

Comment 2 Fedora Update System 2017-04-13 17:50:05 UTC
konversation-1.7-0.2.rc1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02ca3445cf

Comment 3 Fedora Update System 2017-04-15 01:50:11 UTC
konversation-1.7-0.2.rc1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02ca3445cf

Comment 4 Fedora Update System 2017-04-15 15:30:39 UTC
konversation-1.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02ca3445cf

Comment 5 Fedora Update System 2017-04-15 15:31:16 UTC
konversation-1.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-999d901717

Comment 6 Fedora Update System 2017-04-16 00:53:24 UTC
konversation-1.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-999d901717

Comment 7 Fedora Update System 2017-04-16 02:50:04 UTC
konversation-1.7-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02ca3445cf

Comment 8 Fedora Update System 2017-04-20 12:02:15 UTC
konversation-1.7-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-25 02:23:09 UTC
konversation-1.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.